<?php

	// HTML用
	$html = '' ;

	// エラー判定
	if( isset( $_GET['g-recaptcha-response'] ) )
	{
		// シークレットキー
		$secret_key = '' ;

		// エンドポイント
		$endpoint = 'https://www.google.com/recaptcha/api/siteverify?secret=' . $secret_key . '&response=' . $_GET['g-recaptcha-response'] ;

		// 判定結果の取得
		$curl = curl_init() ;
		curl_setopt( $curl , CURLOPT_URL , $endpoint ) ;
		curl_setopt( $curl , CURLOPT_SSL_VERIFYPEER , false ) ;		// 証明書の検証を行わない
		curl_setopt( $curl , CURLOPT_RETURNTRANSFER , true ) ;		// curl_execの結果を文字列で返す
		curl_setopt( $curl , CURLOPT_TIMEOUT , 5 ) ;		// タイムアウトの秒数
		$json = curl_exec( $curl ) ;
		curl_close( $curl ) ;

		// JSONをオブジェクトに変換
		$obj = json_decode( $json ) ;

		// 実行結果
		$html .= '<h2>実行結果</h2>' ;
		$html .= 	'<h3>認証の判定</h3>' ;

		// エラー判定
		if( !isset( $obj->success ) || !$obj->success )
		{
			$html .= '<p><mark>reCAPTCHAの認証は不正です…。</mark></p>' ;
		}
		else
		{
			$html .= '<p><mark>reCAPTCHAの認証は正常です…。</mark></p>' ;
		}

		// 取得したJSONの表示
		$html .= '<h3>取得したJSON</h3>' ;
		$html .= '<textarea rows="8">' . $json . '</textarea>' ;
	}

	$html .= '<h2>reCAPTCHAのフォーム</h2>' ;
	$html .= '<p>reCAPTCHAを実装したフォームです。reCAPTCHAで認証をしてもしなくても、フォームのボタンがクリックできるようになっています。認証を通した場合と通さない場合で、判定がどうなるかを試してみて下さい。</p>' ;
	$html .= '<form method="GET">' ;
	$html .= '	<div class="g-recaptcha" data-sitekey="{取得したサイトキー}"></div>' ;
	$html .= '	<p><input type="text" name="text-01" style="margin-top:1em;"></p>' ;
	$html .= '	<p><button>送信</button></p>' ;
	$html .= '</form>' ;

?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>reCAPTCHAを実装したフォームのサンプルデモ その2</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/how-to-introduction-recaptcha

	* 動作確認
	https://syncer.jp/how-to-introduction-recaptcha/demo/recaptcha-validate.php

	* 最終更新日時
	2015/07/30 02:57

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/how-to-introduction-recaptcha">配布元: Syncer</a></p>




<!-- JavaScriptの読み込み -->
<script src="https://www.google.com/recaptcha/api.js"></script>




</body>
</html>
